# Generated by Django 4.2.7 on 2023-11-26 04:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0004_conductores_transp_conductores_turnos_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='AuthGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, unique=True)),
            ],
            options={
                'db_table': 'auth_group',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroupPermissions',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_group_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthPermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('codename', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'auth_permission',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
                ('is_superuser', models.IntegerField()),
                ('username', models.CharField(max_length=150, unique=True)),
                ('first_name', models.CharField(max_length=150)),
                ('last_name', models.CharField(max_length=150)),
                ('email', models.CharField(max_length=254)),
                ('is_staff', models.IntegerField()),
                ('is_active', models.IntegerField()),
                ('date_joined', models.DateTimeField()),
            ],
            options={
                'db_table': 'auth_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserGroups',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_user_groups',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserUserPermissions',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'auth_user_user_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ConductoresTransp',
            fields=[
                ('conductor', models.OneToOneField(db_column='Conductor', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='core.conductores')),
                ('fechainicio', models.DateField(db_column='FechaInicio')),
                ('fechafinal', models.DateField(blank=True, db_column='FechaFinal', null=True)),
            ],
            options={
                'db_table': 'Conductores_Transp',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ConductoresTurnos',
            fields=[
                ('conductor', models.OneToOneField(db_column='Conductor', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='core.conductores')),
                ('fechainicio', models.DateField(db_column='FechaInicio')),
                ('fechafinal', models.DateField(blank=True, db_column='FechaFinal', null=True)),
            ],
            options={
                'db_table': 'Conductores_Turnos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoreGrantgoal',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('gg_title', models.CharField(max_length=128)),
                ('description', models.CharField(max_length=256)),
                ('timestamp', models.DateField()),
                ('days_duration', models.IntegerField()),
                ('final_date', models.DateField(blank=True, null=True)),
                ('status', models.IntegerField()),
                ('state', models.CharField(max_length=16)),
                ('sprint', models.IntegerField()),
                ('slug', models.CharField(max_length=16)),
            ],
            options={
                'db_table': 'core_grantgoal',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoreRoutes',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('route_name', models.CharField(max_length=100)),
                ('start_date', models.DateField()),
                ('final_date', models.DateField(blank=True, null=True)),
            ],
            options={
                'db_table': 'core_routes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoreStop',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('code', models.IntegerField()),
                ('description', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'core_stop',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoAdminLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('object_id', models.TextField(blank=True, null=True)),
                ('object_repr', models.CharField(max_length=200)),
                ('action_flag', models.PositiveSmallIntegerField()),
                ('change_message', models.TextField()),
            ],
            options={
                'db_table': 'django_admin_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoContentType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_label', models.CharField(max_length=100)),
                ('model', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'django_content_type',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoMigrations',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('app', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('applied', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_migrations',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False)),
                ('session_data', models.TextField()),
                ('expire_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='EmpleadosTransp',
            fields=[
                ('empleado', models.OneToOneField(db_column='Empleado', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='core.empleados')),
                ('fechainicio', models.DateField(db_column='FechaInicio')),
                ('fechafinal', models.DateField(blank=True, db_column='FechaFinal', null=True)),
            ],
            options={
                'db_table': 'Empleados_Transp',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TurnosParadas',
            fields=[
                ('turno', models.OneToOneField(db_column='Turno', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='core.turnos')),
            ],
            options={
                'db_table': 'Turnos_Paradas',
                'managed': False,
            },
        ),
        migrations.RemoveField(
            model_name='conductores_turnos',
            name='Conductor',
        ),
        migrations.RemoveField(
            model_name='empleados_transp',
            name='Empleado',
        ),
        migrations.RemoveField(
            model_name='turnos_paradas',
            name='Turno',
        ),
        migrations.DeleteModel(
            name='Conductores_Transp',
        ),
        migrations.DeleteModel(
            name='Conductores_Turnos',
        ),
        migrations.DeleteModel(
            name='Empleados_Transp',
        ),
        migrations.DeleteModel(
            name='Turnos_Paradas',
        ),
    ]
